/**
 * counter.c
 * Copyright (C) 2008 Markus Broeker
 */

#include <stdio.h>
#include <stdlib.h>
#include <time.h>

int main (int argc, char **argv)
{
    time_t t;

    struct tm *time_str;

    int start, end;

    if (argc != 2) {
        printf ("Usage: %s \"<command>\"\n", argv[0]);
        return EXIT_FAILURE;
    }

    time (&t);
    time_str = gmtime (&t);

    start = time_str->tm_hour * 60 * 60 + time_str->tm_min * 60 + time_str->tm_sec;

    system (argv[1]);

    time (&t);
    time_str = gmtime (&t);

    end = time_str->tm_hour * 60 * 60 + time_str->tm_min * 60 + time_str->tm_sec;

    printf ("Command Execution Time: %8ds\n", end - start);

    return EXIT_SUCCESS;
}
